package internal

import (
	"server/console"
	agentmanager "server/game/agentManager"
)

func init() {
	skeleton.RegisterChanRPC("NewAgent", rpcNewAgent)
	skeleton.RegisterChanRPC("CloseAgent", rpcCloseAgent)
}

func rpcNewAgent(args []interface{}) {
	agentmanager.NewAgent(args)
}

func rpcCloseAgent(args []interface{}) {
	console.Log("rpcCloseAgent")
	agentmanager.CloseAgent(args)
}
